package com.liquidnet.service.account.wallet.service;

import com.liquidnet.service.account.wallet.bo.FinWalletBalanceBo;
import com.liquidnet.service.account.wallet.entity.FinWallet;

import java.util.List;
import java.util.Map;

/**
 * FinWalletService.class
 *
 * @author zhanggb
 * Created by IntelliJ IDEA at 2020/10/21
 */
public interface FinWalletService {
    String generateSeqForWalletNo(String currencyCode);

    int addWallet(FinWallet wallet);

    FinWallet query(String walletNo);

    int updateWallet(FinWallet wallet);

    List<FinWallet> query(Map<String, Object> parameter);

//    List<FinWallet> queryByWalletNoAndAliasAndCurrencyForFuzzy(String fuzzySearch, String finId);

    FinWalletBalanceBo queryBalance(String finId, String walletNo);
}
